org.bdgenomics.adam.rdd

# PairingRDD

#### class PairingRDD[T] extends Serializable

PairingRDD provides some simple helper methods, allowing us take an RDD (presumably an RDD whose values are in some reasonable or intelligible order within and across partitions) and get paired or windowed views on that list of items.

T

  The type of the values in the RDD

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PairingRDD
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PairingRDD(rdd: RDD[T])(implicit kt: ClassTag[T], ordering: Ordering[T])

   rdd

     The RDD of ordered values

   kt

     The type of the values in the RDD must be manifest

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def pair(): RDD[(T, T)]

    The 'pair' method is a simplified version of .

    The 'pair' method is a simplified version of .sliding(2), returning just pairs of (T, T) values for every consecutive pair of T values in the input RDD.

    For example, calling .pair() on a (sorted) RDD of 1, 2, 3, 4

    should return the following pairs (1, 2), (2, 3), (3, 4)

    returns

      an RDD[(T, T)] of all consecutive pairs of values

18. #### def pairWithEnds(): RDD[(Option[T], Option[T])]

    The 'pairWithEnds' method is a variation on 'pairs', except that it returns two _extra_ pairs (relative to 'pairs') corresponding to the first and last elements of the original RDD.

    The 'pairWithEnds' method is a variation on 'pairs', except that it returns two _extra_ pairs (relative to 'pairs') corresponding to the first and last elements of the original RDD. Every (t1, t2) from .pair() now becomes a (Some(t1), Some(t2)) with .pairWithEnds(). The first element is a (None, Some(t0)) and the last element is a (Some(tN), None).

    For example, calling .pairWithEnds() on a (sorted) RDD of 1, 2, 3

    should return the following pairs (None, Some(1)), (Some(1), Some(2)), (Some(2), Some(3)), (Some(3), None)

    (This is immediately useful as a helper method inside the Coverage class, but also might be useful to other applications as well, that rely on a total ordering of the elements within a single RDD.)

    returns

      an RDD[(T, T)] of all consecutive pairs of values

19. #### def sliding(width: Int): RDD[Seq[T]]

    Replicates the Seq.

    Replicates the Seq.sliding(int) method, where we turn an RDD[T] into an RDD[Seq[T]], where each internal Seq contains exactly 'width' values taken (in order) from the original RDD, and where all such windows are presented 'in order' in the output set.

    E.g. the result of 'sliding(3)' on an RDD of the elements 1, 2, 3, 4, 5

    Should be an RDD of Seq(1, 2, 3), Seq(2, 3, 4), Seq(3, 4, 5)

    width

      The 'width' of the sliding window to calculate

    returns

      An RDD of the sliding window values

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped